# p4Connect

P4Connect is a Unity3d Editor Extension intended to work in Windows and OSX with unity 4.X and above. 

## Distribution

Stable releases will be available from the Perforce Downloads page and FTP server:

* ftp://ftp.perforce.com/perforce/RELEASE/bin.multiarch/p4connectVER.unitypackage

Stable releases will also be uploaded to the UNITY asset store:
   
* https://www.assetstore.unity3d.com/en/#!/content/25523

Beta Releases will only be available from the workshop in the "releases" directory:

* https://swarm.workshop.perforce.com/projects/perforce-software-p4connect/files/main/releases

## Packaging

P4Connect ships as a UnityAsset package.   

To install, 

1. Remove all files from any previous P4Connect installation from your project   
   if they exist they will be in the ./Assets/P4Connect/ tree

2. Start Unity, go to the "Assets" -> "Import Package" -> "Custom Package"
   then select the p4connect\*.unitypackage file you downloaded.

## Documentation

### User guide

* http://www.perforce.com/perforce/doc.current/manuals/p4connectguide/index.html

### Release notes 

* https://swarm.workshop.perforce.com/projects/perforce-software-p4connect/files/main/src/P4Connect/P4Connect/P4Connect.ReleaseNotes.txt

### Build instructions 

* https://swarm.workshop.perforce.com/projects/perforce-software-p4connect/files/main/src/build.md

## Support

P4Connect is an open source product which has the blessings and support of Perforce software.
Perforce uses feedback from customer Jobs and Forum postings to decide what features and/or bugs
should be prioritized.  Users which provide bug fixes or enhancements as "push requests" are greatly encouraged,
and help to prioritize what happens next.

You can get support by asking the community for help in the Perforce forums:

* http://forums.perforce.com/index.php?/forum/35-p4connect/

Or you they can contact Perforce Technical support by emailing "support@perforce.com".

